JavaScript/jQuery Box - Arrange and Align Items

Items can be arranged in a row or in a column depending on the value of the direction property.

JavaScript
  • $(function() {
  • $("#boxContainer").dxBox({
  • direction: "row", // or "col"
  • height: 200,
  • width: 200
  • });
  • });

If the Box items do not occupy the entire Box, you can align them along and crosswise the specified direction. For this purpose, use the align and crossAlign properties, respectively.

JavaScript
  • $(function() {
  • $("#boxContainer").dxBox({
  • direction: "col",
  • height: 200,
  • align: "center",
  • crossAlign: "stretch"
  • });
  • });
See Also

React Box - Arrange and Align Items

Items can be arranged in a row or in a column depending on the value of the direction property.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import Box from 'devextreme-react/box';
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <Box
  • height={200}
  • width={200}
  • direction="row"> {/* or "col" */}
  • {/* ... */}
  • </Box>
  • );
  • }
  • }
  •  
  • export default App;

If the Box items do not occupy the entire Box, you can align them along and crosswise the specified direction. For this purpose, use the align and crossAlign properties, respectively.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import Box from 'devextreme-react/box';
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <Box
  • height={200}
  • width={200}
  • align="center"
  • crossAlign="stretch">
  • {/* ... */}
  • </Box>
  • );
  • }
  • }
  •  
  • export default App;
See Also

Angular Box - Arrange and Align Items

Items can be arranged in a row or in a column depending on the value of the direction property.

HTML
TypeScript
  • <dx-box
  • [height]="200"
  • [width]="200"
  • direction="row"> <!-- or "col" -->
  • <!-- ... -->
  • </dx-box>
  • import { DxBoxModule } from 'devextreme-angular';
  • // ...
  • export class AppComponent {
  • // ...
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxBoxModule
  • ],
  • // ...
  • })

If the Box items do not occupy the entire Box, you can align them along and crosswise the specified direction. For this purpose, use the align and crossAlign properties, respectively.

HTML
TypeScript
  • <dx-box
  • direction="col"
  • [height]="200"
  • align="center"
  • crossAlign="stretch">
  • <!-- ... -->
  • </dx-box>
  • import { DxBoxModule } from 'devextreme-angular';
  • // ...
  • export class AppComponent {
  • // ...
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxBoxModule
  • ],
  • // ...
  • })
See Also

Vue Box - Arrange and Align Items

Items can be arranged in a row or in a column depending on the value of the direction property.

App.vue
  • <template>
  • <DxBox
  • :height="200"
  • :width="200"
  • direction="row"> <!-- or "col" -->
  • <!-- ... -->
  • </DxBox>
  • </template>
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxBox } from 'devextreme-vue/box';
  •  
  • export default {
  • components: {
  • DxBox
  • }
  • };
  • </script>

If the Box items do not occupy the entire Box, you can align them along and crosswise the specified direction. For this purpose, use the align and crossAlign properties, respectively.

App.vue
  • <template>
  • <DxBox
  • :height="200"
  • :width="200"
  • align="center"
  • cross-align="stretch">
  • <!-- ... -->
  • </DxBox>
  • </template>
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxBox } from 'devextreme-vue/box';
  •  
  • export default {
  • components: {
  • DxBox
  • }
  • };
  • </script>
See Also